#ifndef _HookSetup_H_
#define _HookSetup_H_

int InitAPIHook();
int HookAllProcesses();
int HookAllProcesses2(int msec);
int UnhookAllProcesses();
int HookProcess(DWORD process_id);
int UnhookProcess(DWORD process_id);
BOOL NTInjectDll(HANDLE hProcess, char *szDLL);
BOOL NTUnInjectDll(HANDLE hProcess, char *szDLL);

#endif
